View a markdown version of this page

BatchGetThreatModels - AWS Security Agent

BatchGetThreatModels

Retrieves information about one or more threat models in an agent space.

Request Syntax

POST /BatchGetThreatModels HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "threatModelIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the threat models.

Type: String

Required: Yes

threatModelIds

The list of threat model identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "threatModels": [ { "agentSpaceId": "string", "assets": { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "documents": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "sourceCode": [ { "s3Location": "string" } ] }, "createdAt": "string", "description": "string", "logConfig": { "logGroup": "string", "logStream": "string" }, "scopeDocs": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "serviceRole": "string", "threatModelId": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of threat model identifiers that were not found.

Type: Array of strings

threatModels

The list of threat models that were found.

Type: Array of ThreatModel objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: